# SimpleComponents 🔌

Welcome to SimpleComponents, a library for Arduino that makes it easy to use various electronic components in your projects. With SimpleComponents, you can quickly and easily incorporate LEDs, potentiometers, and other components into your Arduino sketches. 🚀

## Installation 💾

There are two ways to install the SimpleComponents library:

### Method 1: Using the Arduino IDE Library Manager 💻

>**Warning**: Currently, the Simple Components library is not available for download from the Arduino Library Manager. Stay tuned for updates on when it will be available!


The easiest way to install SimpleComponents is using the Arduino IDE Library Manager. To do this, follow these steps:

1. Open the Arduino IDE.
2. Go to Sketch > Include Library > Manage Libraries.
3. Type "SimpleComponents" into the search bar and press Enter.
4. Click on the "Install" button for the SimpleComponents library.

### Method 2: Installing from the Releases Page 📥

Alternatively, you can install SimpleComponents by downloading the latest release from the [releases page](https://github.com/your-username/SimpleComponents/releases) on GitHub. To do this, follow these steps:

1. Download the latest release from the releases page.
2. Extract the zip file.
3. In the Arduino IDE, go to Sketch > Include Library > Add .ZIP Library.
4. Select the extracted zip file and click "Open."

## Usage 🤖

To use the SimpleComponents library in your Arduino sketch, include it at the top of your sketch:

```cpp
#include <SimpleComponents.h>
```
Then, you can access the various functions and classes provided by the library for controlling electronic components such as LEDs and potentiometers. Consult the library's documentation for more information on how to use these. 🤓

## Examples 💡

The SimpleComponents library comes with several example sketches that demonstrate how to use the various functions and classes provided by the library. To access these examples, go to File > Examples > SimpleComponents in the Arduino IDE. 💻

## Documentation 📖

For detailed documentation on the functions and classes provided by the SimpleComponents library, please refer to the [library's documentation](https://your-username.github.io/SimpleComponents). 📚

## Features 💪

The SimpleComponents library currently provides the following features:

- Control of LED components
- Reading of potentiometer values

We are constantly working on improving and adding new features to the SimpleComponents library.

## Contributing 🤝

We welcome contributions to the SimpleComponents library! If you have an idea for a new feature or have found a bug, please open an issue on GitHub. If you'd like to contribute code, please follow our [contributing guidelines](https://github.com/ArchontisKostis/SimpleComponents/blob/main/docs/CONTRIBUTING.MD) and open a pull request.

## License 📜

The SimpleComponents library is licensed under the GNU General Public License (GPL). Please see the [LICENSE](LICENSE) file for more information.

Thank you for using SimpleComponents! 🙌

