# 💡 SimpleComponents Documentation

Welcome to the SimpleComponents library! This library was developed to provide simple and easy-to-use interfaces for controlling an LED and reading the value of a potentiometer using an Arduino. With this library, you can easily set up and control these components without having to write the boilerplate code yourself.

## 📚 Reference

For detailed information on the classes and methods provided by the library, see the [Reference Documentation](https://github.com/ArchontisKostis/SimpleComponents/blob/main/docs/Reference.md). The reference includes descriptions of each class and method, as well as example usage snippets to help you get started.

## 🚀 Examples

To see more concrete examples of how to use the library in an Arduino sketch, check out the [Library's Examples Folder](https://github.com/ArchontisKostis/SimpleComponents/tree/main/examples) or the [Documentation Examples](https://github.com/ArchontisKostis/SimpleComponents/tree/main/docs/examples). There, you'll find a collection of sketches that demonstrate different features of the library. You can use these sketches as a starting point for your own projects, or just to see how the library works.

## 📃 License

The SimpleComponents library is licensed under [insert license here]. Please see the [LICENSE](LICENSE) file for more information.


## 🤝 Contributing

We welcome contributions to the SimpleComponents library! If you have an idea for a new feature or a bug fix, please open an issue or a pull request. We're always looking for ways to make the library better, and we appreciate your help. <br>
If you'd like to contribute code, please follow our [contributing guidelines](https://github.com/ArchontisKostis/SimpleComponents/blob/main/docs/CONTRIBUTING.MD) and open a pull request.

## 🙏 Credits

This library was initially developed by [Archontis Kostis](www.github.com/ArchontisKostis). Thank you for using it and we hope it helps you in your projects!
